Public Leaderboard
curl --request GET \
--url https://api.qfex.com/public/leaderboardimport requests
url = "https://api.qfex.com/public/leaderboard"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.qfex.com/public/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"data": [
{
"account": {
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_public": true,
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"$schema": "<string>",
"avatar_url": "<string>",
"username": "<string>"
},
"end_equity": 123,
"pnl": 123,
"rank": 123,
"return_percent": 123,
"start_equity": 123
}
],
"duration": "<string>",
"end": "2023-11-07T05:31:56Z",
"sort": "<string>",
"$schema": "<string>",
"start": "2023-11-07T05:31:56Z"
}{
"$schema": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}public
Public Leaderboard
Return public account leaderboard rankings by absolute PnL or percentage return.
GET
/
public
/
leaderboard
Public Leaderboard
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0Response
OK
Show child attributes
Show child attributes
A URL to the JSON Schema for this object.
Example:
"https://api.qfex.com/schemas/PublicLeaderboardResponseBody.json"
⌘I